IBM Support

PI50096: When java security is enabled application class loaders may get access to internal packages contained in liberty profile

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • When java security is enabled for Liberty profile it causes
    a bug to surface that allows access to internal packages
    from application class loaders.  This generally will not be
    an issue unless the application is somehow compiling against
    the internal jar files of Liberty profile.  But it is
    possible that the application is packaging some open source
    library that is also used by Liberty profile.  The
    application may unexpectedly load the version of the open
    source library that is used by the Liberty profile
    implementation instead of from their own copy.
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED:  All users of IBM WebSphere Application      *
    *                  Server Liberty Profile                      *
    ****************************************************************
    * PROBLEM DESCRIPTION: When java security is enabled           *
    *                      application class loaders may get       *
    *                      access to internal packages contained   *
    *                      in liberty.                             *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    When java security is enabled for Liberty profile it causes a
    bug to surface that allows access to internal packages from
    application class loaders.  This generally will not be an issue
    unless the application is somehow compiling against the internal
    jar files of Liberty profile.  But it is possible that the
    application is packaging some open source library that is also
    used by Liberty profile.  The application may unexpectedly load
    the version of the open source library that is used by the
    Liberty profile implementation instead of from their own copy.
    

Problem conclusion

  • The OSGi Framework has been fixed to protect the application
    against the permission check necessary to obtain the services
    needed to control access to Liberty profile APIs.
    
    The fix for this APAR is currently targeted for inclusion in fix
    pack 8.5.5.8.  Please refer to the Recommended Updates page for
    delivery information:
    http://www.ibm.com/support/docview.wss?rs=180&uid=swg27004980
    

Temporary fix

  • Disable the java security manager or grant the application the
    folloing permission
    
    org.osgi.framework.ServicePermission * get
    

Comments

APAR Information

  • APAR number

    PI50096

  • Reported component name

    WAS LIBERTY COR

  • Reported component ID

    5725L2900

  • Reported release

    855

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2015-10-08

  • Closed date

    2015-10-26

  • Last modified date

    2015-10-26

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    WAS LIBERTY COR

  • Fixed component ID

    5725L2900

Applicable component levels

  • R855 PSY

       UP

[{"Business Unit":{"code":"BU053","label":"Cloud \u0026 Data Platform"},"Product":{"code":"SSD28V","label":"WebSphere Application Server Liberty Core"},"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"855","Line of Business":{"code":"LOB36","label":"IBM Automation"}}]

Document Information

Modified date:
17 October 2021